Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IAnnotationAccessExtension2

All Known Implementing Classes:
  DefaultMarkerAnnotationAccess

    public interface IAnnotationAccessExtension2

Extension interface for `IAnnotationAccess`.

This interface allows clients to set a quick assist assistant.

Since:
  3.2
See Also:
  `IAnnotationAccess`

Method Summary
`void` `setQuickAssistAssistant(IQuickAssistAssistant assistant)` Provides this annotation access with a quick assist assistant that is used to decide whether the quick fix image should be shown.

Method Detail

### setQuickAssistAssistant

    void setQuickAssistAssistant(IQuickAssistAssistant assistant)

  Provides this annotation access with a quick assist assistant that is used to decide whether the quick fix image should be shown.

  Parameters:
    `assistant` - the quick assist assistant

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.